[
{
    blockid=admin;
    help=store_admin_admin;
    localvar={
	/* translate this block */
	.header.text="\u90f5\u4ef6\u5132\u5b58\u7ba1\u7406\u54e1";
	.admins.text="\u90f5\u4ef6\u5132\u5b58\u7ba1\u7406\u54e1\u53ef\u4ee5\u6aa2\u8996\u6240\u6709\u90f5\u4ef6\u8cc7\u6599\u593e\uff0c\u4e26\u4f7f\u7528 IMAP \u5354\u5b9a\u76f4\u63a5\u6307\u5b9a\u5b58\u53d6\u63a7\u5236\u3002";
	.admins.header="\u7ba1\u7406\u54e1 UID";
	.admins.error="\u7ba1\u7406\u54e1 ID \u5df2\u7d93\u5b58\u5728\u3002\u8acb\u6307\u5b9a\u4e0d\u540c\u7684\u7ba1\u7406\u54e1 ID\u3002";
	.admin.title="\u5132\u5b58\u7ba1\u7406\u54e1\u9805\u76ee";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    wrap=$g.label.size5;
	    font=["","",16];
	    constraint={
	        gridx=0;
	        gridy=0;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=adminlabel;
	    text=$.admins.text;
	    wrap=$g.label.size4;
	    target=adminctrl;
	    key=$.admins.key;
	    constraint={
	        gridx=0;
	        gridy=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    stdtable=true;
	    addui=adminid;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.admin.title;
	    editui=adminid;
	    edittitle=$.admin.title;
	    val=$admins.value;
	    label=adminlabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
	        gridx=0;
	        gridy=3;
	        weightx=1;
	        weighty=1;
	        fill=both;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.admins.header;
		    varname=adminname;
		    unique=$.admins.error;
		}
	    ]
	}
    ]
},
{
    blockid=adminid;
    help=store_admin_adminid;
    localvar={
	.name.text="\u7ba1\u7406\u54e1 UID\uff1a";
    };
    content=[
	{
	    ctrl=label;
	    id=namelabel;
	    text=$.name.text;
	    wrap=$g.label.size2;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    label=namelabel;
	    val=$adminname;
	    focus=true;
	}
    ]
}
]

